<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [purchaseUnlock](./bitburner.corporation.purchaseunlock.md)

## Corporation.purchaseUnlock() method

Unlock an upgrade

**Signature:**

```typescript
purchaseUnlock(upgradeName: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | string | Name of the upgrade |

**Returns:**

void

